@import "./normalize.min.css";

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  height: 100vh;
}
.img_container {
  width: 80px;
  height: 80px;
}

.img-frog {
  max-width: 100%;
  height: 100%;
  object-fit: contain;
}

.cards_container {
  position: relative;
  top:400px;
}

.cards_container:hover .item {
  animation-play-state: paused;
}

.item__title {
  font-size: 14px;
}
.item__subtitle {
  font-size: 10px;
  color: #858996;
}

.item {
  width: 170px;
  height: 300px;
  background-color: #6078bf;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  color: #fff;
  padding: 40px 50px;
  text-align: center;
  box-shadow: 0px 15px 15px #3D4242 ;
  position: absolute; 
  bottom: 0;
  transform-origin: bottom;
  z-index: 10;
 
}

.card-1 {
  animation: anim1 28s linear infinite;
}
.card-2 {
  animation: anim2 28s linear infinite;
}
.card-3 {
  animation: anim3 28s linear infinite;
}
.card-4 {
  animation: anim4 28s linear infinite;
}
.card-5 {
  animation: anim5 28s linear infinite;
}
.card-6 { 
  animation: anim6 28s linear infinite;
}
.card-7 {
  animation: anim7 28s linear infinite;
}

@keyframes anim1 { 
  0% {
    transform: translateX(0px) scale(0.8);
  }

  28% {
    transform: translateX(400px) scale(1);

  }
  56% {
    transform: translateX(800px) scale(1);
 
  }
  84% {
    transform: translateX(1200px) scale(0.8);
    
  }
  100% {
    transform: translateX(0px) scale(0.8);
    z-index: 0;
  }
}  

@keyframes anim2 {
  0% {
    transform: translateX(200px) scale(0.9);
  }
  14% {
    transform: translateX(400px) scale(1);
  }
  42% {
    transform: translateX(800px) scale(1);
  }
  70% {
    transform: translateX(1200px) scale(0.8);
 
  }
  84%{
    transform: translateX(0px) scale(0.8);
    z-index: 0;
  }
  100% {
    transform: translateX(200px) scale(0.9);
    z-index: 10;
  }
}  

@keyframes anim3 {
  0% {
    transform: translateX(400px) scale(1);
  }
  28% {
    transform: translateX(800px) scale(1);
  }
  56% {
    transform: translateX(1200px) scale(0.8);
  }
  72% {
    transform: translateX(0px) scale(0.8);
    z-index: 0;
  }
  100%{
    transform: translateX(400px) scale(1);
    z-index: 10;
  }

}  

@keyframes anim4 {
  0% {
    transform: translateX(600px) scale(1);
  }
  14% {
    transform: translateX(800px) scale(1);
  }
  42% {
    transform: translateX(1200px) scale(0.8);
  }
  58% {
    transform: translateX(0px) scale(0.8);
    z-index: 0;
  }
  86% {
    transform: translateX(400px) scale(1);
    z-index: 10;
  }
  100%{
    transform: translateX(600px) scale(1);
  }

}  

@keyframes anim5 {

  0% {
    transform: translateX(800px) scale(1);
  }
  28% {
    transform: translateX(1200px) scale(0.8);
  }
  44% {
    transform: translateX(0px) scale(0.8);
    z-index: 0;
  }
  72% {
    transform: translateX(400px) scale(1);
    z-index: 10;
  }
  100%{
    transform: translateX(800px) scale(1);
  }

}  


@keyframes anim6 {

  0% {
    transform: translateX(1000px) scale(0.9);
  }
  14% {
    transform: translateX(1200px) scale(0.8);
  }
  30% {
    transform: translateX(0px) scale(0.8);
    z-index: 0;
  }
  58% {
    transform: translateX(400px) scale(1);
    z-index: 10;
  }
  86% {
    transform: translateX(800px) scale(1);
  }
  100%{
    transform: translateX(1000px) scale(0.9);
  }

}  

@keyframes anim7 {

  0% {
    transform: translateX(1200px) scale(0.8);
    z-index: 0
  }
  16% {
    transform: translateX(0px) scale(0.8);
    z-index: 0
  }
  44% {
    transform: translateX(400px) scale(1);
    z-index: 10;
  }
  72% {
    transform: translateX(800px) scale(1);
    z-index: 10;
  }
  100% {
    transform: translateX(1200px) scale(0.8);
    z-index: 0
  }

}